All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface AttachmentInterface

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  Attachment

    public interface AttachmentInterface

extends java.rmi.Remote

Represents an attachment for a comment

Since:
  1.1

Method Summary
`java.io.InputStream` | `getContent()` Gets the source(stream) of the content for this attachment
`java.lang.String` | `getDescription()` Gets the description of this attachment
`java.lang.String` | `getMimeType()` Gets the MIME type of this attachment
`java.lang.String` | `getName()` Gets the name of this attachment
`void` | `setContent(java.io.InputStream content)` Sets the source(stream) for the content of this attachment.
`void` | `setDescription(java.lang.String description)` Sets the description of this attachment
`void` | `setMimeType(java.lang.String mimeType)` Sets the mime type of this attachment
`void` | `setName(java.lang.String name)` Sets the name of this attachment

Method Detail

### setName

    void setName(java.lang.String name)
                 throws java.rmi.RemoteException

  Sets the name of this attachment

  Parameters:
    `name` - The name of this attachment
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### setDescription

    void setDescription(java.lang.String description)
                        throws java.rmi.RemoteException

  Sets the description of this attachment

  Parameters:
    `description` - The name of this attachment
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### setMimeType

    void setMimeType(java.lang.String mimeType)
                     throws java.rmi.RemoteException

  Sets the mime type of this attachment

  Parameters:
    `mimeType` - The MIME type for this attachment
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### setContent

    void setContent(java.io.InputStream content)
                    throws java.rmi.RemoteException

  Sets the source(stream) for the content of this attachment. For remote deployment the InputStream should be wrapped in an `InputStreamAdapter`

  Parameters:
    `content` - The input stream containing the content for this attachment
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### getName

    java.lang.String getName()
                             throws java.rmi.RemoteException

  Gets the name of this attachment

  Returns:
    String The name of this attachment
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### getDescription

    java.lang.String getDescription()
                                    throws java.rmi.RemoteException

  Gets the description of this attachment

  Returns:
    String The description of this attachment
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### getMimeType

    java.lang.String getMimeType()
                                 throws java.rmi.RemoteException

  Gets the MIME type of this attachment

  Returns:
    String The MIME type of this attachment
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### getContent

    java.io.InputStream getContent()
                                   throws java.rmi.RemoteException

  Gets the source(stream) of the content for this attachment

  Returns:
    InputStream The stream containing the content for this attachment
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.